
Jupiter - Zadanie #1838
Zadanie # 1616 (W toku): Utworzenie formularza do edycji yelementu
komponent do edycji okładek
2017-09-29 13:58 - Łukasz Waśkiewicz

Status: Zamknięty Start date: 2017-10-27
Priority: Normalny Due date:
Assignee: Michał Komar % Done: 100%
Category: backend Estimated time: 0.00 hour
Target version: 0.3
Developer: Łukasz Waśkiewicz Tester: Jarosław Bąbel, Michał Komar
Description

komponent do edycji okładek

Subtasks:
Zadanie # 1856: okładki Zamknięty
Related issues:
Copied to Jupiter - Błąd # 1877: Podczas zapisu błąd publikowania przechodzi ... Zamknięty 2017-11-24

Associated revisions
Revision 9ba9b19a - 2017-10-04 16:22 - Łukasz Waśkiewicz

refs #1838 okładki

Revision 05be62fc - 2017-10-05 11:51 - Łukasz Waśkiewicz

refs #1838 okładki

Revision b4527fdb - 2017-10-09 09:32 - Łukasz Waśkiewicz

refs #1838 poprawa usuwanie, lekkie poprawki ostylowania

Revision 0c7d1529 - 2017-10-12 13:12 - Łukasz Waśkiewicz

refs #1838 poprawa komponentu uploadu plików

Revision 613a7d27 - 2017-10-12 13:58 - Łukasz Waśkiewicz

refs #1838 poprawa mapowania okładek

Revision 1f4339d2 - 2017-10-17 09:13 - Łukasz Waśkiewicz

refs #1838 dodana walidacja okładki

zmienione avaliableEmpty na valueRequired
poprawiona widoczność przycisku wyczyść (globalny przycisk sekcji)
poprawiona widoczność przycisku przywróć

2024-05-20 1/6



Revision a17badf3 - 2017-10-24 14:15 - Łukasz Waśkiewicz

refs #1838 komunikaty błedów + tłumaczenia

Revision 5d144273 - 2017-10-25 09:51 - Łukasz Waśkiewicz

refs #1838 poprawa komunikatu błedu stron

Revision 078f466f - 2017-10-25 11:34 - Łukasz Waśkiewicz

refs #1838 poprawa komunikatu błedu przy okładkach

Revision ae739518 - 2017-11-21 15:25 - Łukasz Waśkiewicz

refs #1838 poprawki do okładek

Revision abfec3c8 - 2017-11-21 15:59 - Łukasz Waśkiewicz

refs #1838 tłumaczneie poprawki styli

Revision 480e86aa - 2017-11-22 12:10 - Łukasz Waśkiewicz

refs #1838 poprawa widoczności remoteControl

Revision 1f6550e4 - 2017-12-01 15:17 - Łukasz Waśkiewicz

refs #1838 poprawa okładek

History
#1 - 2017-10-02 09:01 - Michał Komar
- Category set to backend
- Target version set to 0.3
- Parent task set to #1616

#2 - 2017-10-05 11:59 - Łukasz Waśkiewicz
- Status changed from Nowy to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar
- % Done changed from 0 to 100
- Tester Michał Komar added

#3 - 2017-10-09 08:52 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

Błędy:
    1. Brak możliwości usuwania
    2. Po wgraniu zasobu zdalnego(url), nie można go zapisać zasobem lokalnym
    3. Przyciski powinny być obok siebie

#4 - 2017-10-09 09:33 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

poprawione

#5 - 2017-10-11 07:52 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

Prawie dobrze.
Jednak nie działa zmiana okładki na zuploadowaną po dodaniu okładki zdalnej. Kroki:
    1. Upload okładki - wyświetla się obrazek
    2. Dodanie okładki zdalnej - obrazek się zmienia
    3. Upload okładki - cały czas wyświetla się okładka zdalna

Bez pierwszego kroku działa prawidłowo

#6 - 2017-10-12 13:14 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

problem był w komponencie uploadu plików, na <input nie jest wywoływane onChange jeśli plik się nie zmienił. Więc jeśli wybieraliśmy za drugim razem
ten sam plik to nic się nie działo.

#7 - 2017-10-13 12:22 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

Trzeba dodać walidację okładki. W tym momencie jest możliwe zapisanie pustej okładki.

#8 - 2017-10-17 09:16 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

poprawione + drobne poprawki

zmienione avaliableEmpty na valueRequired
poprawiona widoczność przycisku wyczyść (globalny przycisk sekcji)
poprawiona widoczność przycisku przywróć
#9 - 2017-10-19 08:36 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

Należy dodać komunikat walidacyjny (w numerach stron też).

#10 - 2017-10-24 14:38 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

komunikaty dodane

#11 - 2017-10-27 14:00 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

#12 - 2017-11-03 13:33 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

#13 - 2017-11-06 14:58 - Michał Komar
- Assignee changed from Michał Komar to Jarosław Bąbel

#14 - 2017-11-14 14:38 - Jarosław Bąbel
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Jarosław Bąbel to Łukasz Waśkiewicz
- Tester Jarosław Bąbel added

Aplikacja w wersji: 0.0.3-SNAPSHOT d344748 uruchomiona lokalnie.

Istotne błędy
    -  Niejasne zachowanie okładek na różnych poziomach tego samego czasopisma. Czy każdy element czasopisma może mieć inną okładkę, czy
wszystkie mają mieć wspólną? Czy zmiana okładki na niższym poziomie ma wpływać na wyższe i odwrotnie?

Poniższy scenariusz daje dosyć dziwne wyniki, ale może po prostu nie znam założeń.

    1. edytuj czasopismo A nie posiadające okładki, dodaj sekcję i okładkę X - zapisz
    2. edytuj numer B poniżej A (bez okładki), dodaj sekcję i okładkę Y - zapisz (po dodaniu sekcji pojawia się okładka X z # poziomu czasopisma
oznaczona na czerwono jako "wymagana")
    3. edytuj ponownie czasopismo A - okładka zmieniła się z X na Y
    4. edytuj artykuł C poniżej B (bez okładki), dodaj sekcję i okładkę Z - zapisz (przy dodaniu sekcji pojawia się okładka Y z numeru oznaczona na
czerwono jako wymagana)
    5. edytuj ponownie czasopismo A - pojawia się okładka Z
    6. edytuj inne czasopismo F
    7. edytuj ponownie czasopismo A - ponownie pojawia się okładka dodana na początku, czyli X

    -  Dodanie sekcji okładki do nowego artykułu
Niezależnie od okładki na wyższych poziomach sekcja wyświetla się prawidłowo i działa, ale w logu pojawia się NPE

java.lang.NullPointerException: null
    at pl.edu.icm.jupiter.web.util.CoverHelper.resolveCoverLocation(CoverHelper.java:40)
    at pl.edu.icm.jupiter.web.controllers.AttachmentController.resolveCoverLocation(AttachmentController.java:93)
    -  Na poziomie UI brak obsługi błędu za dużego pliku, mamy limit 512MB
wybrać plik z okładkę lokalną ponad 512MB, pojawia się biały prostokąt jako podgląd okładki, brak komunikatu o błędzie; próba podglądu okładki

wyświetla stronę z błędem
ikonka zapisu elementu jest aktywna, ale po kliknięciu zmiany w dokumencie nie są zapisywane (nie komunikatu o błędzie, nie pojawia się "proszę

czekać", lecą kolejne wyjątki w logu)

    -  Niektóre znaki specjalne w nazwie pliku z okładką uniemożliwiają zapisanie dokumentu
w nazwie pliku okładki użycie nawiasów ostrych otwierającego i po nim zamykającego np. "<testfile.txt>" powoduje wyjątek

Couldn't export documents within process: pl.edu.icm.jupiter.services.api.model.documents.PublicationProcessBean)
11:37:09.996 [http-nio-8080-exec-1] WARN  p.e.i.j.s.p.BasicPublicationProcessListener - Unsuccessful export: 
pl.edu.icm.model.transformers.TransformationException: java.lang.Exception: Xml:
 <?xml version="1.0" encoding="UTF-8"?>
...
...

być może inne znaki XMLowe też psują dokument, ale znalazłem tylko ten przypadek

    -  Po dodaniu sekcji okładki pojawia się okładka z elementu nadrzędnego lub poprzednio zapisana dla danego elementu. Okładka jest w czerwonym
polu oznaczona jako wymagana.

    1. edytuj czasopismo A nie posiadające okładki
    2. dodaj okładkę, zapisz
    3. edytuj numer poniżej A
    4. dodaj sekcję okładki - pojawia się okładka czasopisma oznaczona jako "pole wymagane", funkcja zapisz dokument jest nieaktywna

Mało ważne albo zamierzone:
    -  roczniki nie mają okładek, pozostałe elementy mają

    -  w UI brak obsługi sytuacji, gdy nowy element nie został zapisany przez błędy np. jeżeli dodajemy nowy artykuł z błędem (np. nazwa okładki z
nawiasami ostrymi <>), to po akcji "zapisz" artykuł pojawi się w drzewie (chociaż nie został zapisany), nie można go usunąć ikonką śmietnika, znika
dopiero po przeładowaniu elementów nadrzędnych

    -  funkcja resetuj pojawia się po wejściu w edycję elementu z dodaną wcześniej okładką, ale nie pojawia się jeżeli dodajemy okładkę pierwszy raz i
zapiszemy element (bez ponownego wchodzenia w edycję)

    1. edytuj element bez okładki
    2. dodaj okładkę
    3. zapisz
    4. wybierz inną okładkę
    5. zapisz - nie pojawia się funkcja resetu

    -  być może funkcja usuń okładkę jest niepotrzebna, po usunięciu okładki nie możemy zapisać elementu (ikonka zapisu nieaktywna), żeby zapisać
po usunięciu okładki trzeba wybrać nową okładkę lub usunąć całą sekcję okładka.

Taki sam efekt tylko bez kroku usuwania uzyskamy wybierając nową okładkę lub usuwając sekcję okładka.
Dodatkowo po usunięciu okładki nie ma funkcji "resetuj", Trzeba dodać nowy obrazek i dopiero można przywrócić poprzednio zapisany przez

"resetuj".

    -  dla czasopisma i numeru okładka pojawia się w sekcji "podstawowe", a dla artykułu w sekcji "inne"

#15 - 2017-11-22 08:25 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Jarosław Bąbel

    -  zmieniłem podgląd okładki, okładka odziedziczona z rodzica jest wyświetlana po prawej (jeśli jest)
okładka edytowana w sekcji jest po lewej, teraz powinno być jasne co podlega edycji
    -  dodany komunikat przy błędzie upload (duży plik, ale też wszystkie inne błędy)
    -  znaki specjalne powinny być poprawione, ale nie mogę tego u siebie sprawdzić bo Windows nie pozwala mi stworzyć takiego pliku

    -  roczniki nie mają okładek - zamierzone, roczniki nie istnieją jako coś fizycznego
    -  funkcja reset pojawia się już poprawnie (poprawne wyświetlanie sekcji po zapisaniu lub przejściu do innego zasobu)
    -  umiejscowienie sekcji (dla czasopisma i numeru) okładka jest informacją podstawową, dla innych jest opcjonalna

#16 - 2017-11-24 13:26 - Jarosław Bąbel
- Copied to Błąd #1877: Podczas zapisu błąd publikowania przechodzi bez komunikatu w UI, ale z aktualizacją nazwy w drzewie added

#17 - 2017-11-24 14:08 - Jarosław Bąbel
- File wrong_file_name_stacktrace.txt added
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Jarosław Bąbel to Łukasz Waśkiewicz

    -  Na poziomie czasopisma pojawia się "podgląd okładki rodzica", chociaż czasopismo nie może mieć rodzica z okładką
        1. dodać okładkę do czasopisma
        2. dodać okładkę do numeru czasopisma
        3. wejść w edycję czasopisma

    -  dodanie okładki z nazwą np. "<test.txt>" nadal powoduje błąd po stronie serwera, w załączniku stacktrace dla czasopisma BazEkon -> Acta
Universitatis Lodziensis. Folia Geographica Socio-Oeconomica

    -  dodanie sekcji okładki do nowego artykułu powoduje NPE po stronie serwera (bez konsekwencji)
        1. wybrać numer dowolnego czasopisma
        2. wybrać dodaj nowy artykuł

    -  problemy związane z błędami przy publikowaniu przeniosłem do #1877
        1. dodać sekcję okładek
        2. w logu pojawia się NPE

#18 - 2017-12-01 15:23 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Jarosław Bąbel

poprawione

#19 - 2017-12-05 09:17 - Jarosław Bąbel
- Status changed from Testowanie to Rozwiązany
- Assignee changed from Jarosław Bąbel to Łukasz Waśkiewicz

#20 - 2017-12-06 09:38 - Łukasz Waśkiewicz
- Status changed from Rozwiązany to Zamknięty
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

Files
wrong_file_name_stacktrace.txt 63.6 KB 2017-11-24 Jarosław Bąbel
